%global _empty_manifest_terminate_build 0
Name:		python-asciitree
Version:	0.3.3
Release:	1
Summary:	Draws ASCII trees.
License:	MIT
URL:		http://github.com/mbr/asciitree
Source0:	https://files.pythonhosted.org/packages/2d/6a/885bc91484e1aa8f618f6f0228d76d0e67000b0fdd6090673b777e311913/asciitree-0.3.3.tar.gz
BuildArch:	noarch


%description
asciitree draws tree structures using characters

%package -n python3-asciitree
Summary:	Draws ASCII trees.
Provides:	python-asciitree
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-asciitree
asciitree draws tree structures using characters

%package help
Summary:	Development documents and examples for asciitree
Provides:	python3-asciitree-doc
%description help
asciitree draws tree structures using characters

%prep
%autosetup -n asciitree-0.3.3

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-asciitree -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Jul 15 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
